Commit 551dc065 authored by Clément OUDOT's avatar Clément OUDOT

Prepare 1.9.14 release

parent 91f50e67
......@@ -31,7 +31,7 @@ PROJECT_NAME = LemonLDAP::NG
# This could be handy for archiving the generated documentation or
# if some version control system is used.
PROJECT_NUMBER = 1.9.13
PROJECT_NUMBER = 1.9.14
# The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute)
# base path where the generated documentation will be put.
......
lemonldap-ng (1.9.14) stable; urgency=high
* #707: Kerberos authentication module
* #1308: make saml work with POST sso binding and multiple authentication
* #1310: Form replay javascript generates error for fields with a dot
* #1315: Missing Mouse dependency in Debian packages
* #1316: In docs, for Alfresco, said they need to add an exclusion for
ressources path
* #1324: Allow SAML with Office365 multidomains
* #1326: SessionIndex should not be mandatory in SAML SingleLogoutRequest
* #1328: Value 0 can not be set in hidden field
* #1329: No need to 'warn' if no IDP or SP is present in configuration
* #1331: Manage UTF-8 values in HTTP headers
lemonldap-ng (1.9.13) stable; urgency=high
* [LEMONLDAP-1209] - [UTF8-Enconding] Issues with mysql backend and saml attributes
......
......@@ -45,5 +45,5 @@ requires:
Net::CIDR::Lite: '0'
SOAP::Lite: '0'
Storable: '0'
version: v1.9.13
version: v1.9.14
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
package Lemonldap::NG::Common;
our $VERSION = '1.9.13';
our $VERSION = '1.9.14';
use strict;
......
......@@ -34,8 +34,8 @@ requires:
Apache::Session::Generate::MD5: '0'
CGI: '3.08'
LWP: '0'
Lemonldap::NG::Common: v1.9.13
Lemonldap::NG::Common: v1.9.14
Mouse: '0'
URI: '0'
version: v1.9.13
version: v1.9.14
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
......@@ -30,7 +30,7 @@ WriteMakefile(
PREREQ_PM => {
'Apache::Session::Generate::MD5' => 0,
'CGI' => 3.08,
'Lemonldap::NG::Common' => '1.9.13',
'Lemonldap::NG::Common' => '1.9.14',
'LWP' => 0,
'Mouse' => 0,
'URI' => 0,
......
......@@ -5,7 +5,7 @@
# Handler module
package Lemonldap::NG::Handler;
our $VERSION = '1.9.13';
our $VERSION = '1.9.14';
use Lemonldap::NG::Handler::SharedConf;
@ISA = qw(Lemonldap::NG::Handler::SharedConf);
......
......@@ -25,11 +25,11 @@ requires:
HTML::Template: '0'
JSON: '0'
LWP: '0'
Lemonldap::NG::Common: v1.9.13
Lemonldap::NG::Handler: v1.9.13
Lemonldap::NG::Common: v1.9.14
Lemonldap::NG::Handler: v1.9.14
URI: '0'
XML::LibXML: '0'
XML::LibXSLT: '0'
version: v1.9.13
version: v1.9.14
x_LWP::Protocol::https: 0
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
......@@ -18,8 +18,8 @@ WriteMakefile(
'Crypt::OpenSSL::RSA' => 0,
'HTML::Template' => 0,
'JSON' => 0,
'Lemonldap::NG::Common' => '1.9.13',
'Lemonldap::NG::Handler' => '1.9.13',
'Lemonldap::NG::Common' => '1.9.14',
'Lemonldap::NG::Handler' => '1.9.14',
'LWP' => 0,
'URI' => 0,
'XML::LibXSLT' => 0,
......
......@@ -13,7 +13,7 @@ package Lemonldap::NG::Manager;
use 5.10.0;
use utf8;
use Mouse;
our $VERSION = '1.9.13';
our $VERSION = '1.9.14';
use Lemonldap::NG::Common::Conf::Constants;
use Lemonldap::NG::Common::PSGI::Constants;
......
......@@ -38,7 +38,7 @@ recommends:
LWP: '0'
LWP::Protocol::https: '0'
Lasso: v2.3.0
Lemonldap::NG::Handler: v1.9.13
Lemonldap::NG::Handler: v1.9.14
MIME::Lite: '0'
Net::Facebook::Oauth2: '0'
Net::OAuth: '0'
......@@ -56,9 +56,9 @@ requires:
CGI: '3.08'
Clone: '0'
HTML::Template: '0'
Lemonldap::NG::Common: v1.9.13
Lemonldap::NG::Common: v1.9.14
Net::LDAP: '0.38'
Regexp::Assemble: '0'
Unicode::String: '0'
version: v1.9.13
version: v1.9.14
x_serialization_backend: 'CPAN::Meta::YAML version 0.018'
......@@ -15,7 +15,7 @@ WriteMakefile(
'HTTP::Message' => 0,
'JSON' => 0,
'Lasso' => '2.3.0',
'Lemonldap::NG::Handler' => '1.9.13',
'Lemonldap::NG::Handler' => '1.9.14',
'LWP' => 0,
'LWP::Protocol::https' => 0,
'MIME::Lite' => 0,
......@@ -52,7 +52,7 @@ WriteMakefile(
'CGI' => 3.08,
'Clone' => 0,
'HTML::Template' => 0,
'Lemonldap::NG::Common' => '1.9.13',
'Lemonldap::NG::Common' => '1.9.14',
'Net::LDAP' => 0.38,
'Regexp::Assemble' => 0,
'Unicode::String' => 0,
......
......@@ -5,7 +5,7 @@
# Alias for Lemonldap::NG::SharedConf
package Lemonldap::NG::Portal;
our $VERSION = '1.9.13';
our $VERSION = '1.9.14';
use Lemonldap::NG::Portal::SharedConf;
use base 'Lemonldap::NG::Portal::SharedConf';
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment